# 控件列表
Bricks内置许多的显示控件，所有显示控件都继承自JsWidget，容器控件Layout几就继承自JsWidget，其他的容器HBox， VBox继承自Layout

# 控件继承树

# 控件清单
* [Accordion](widgets/accordion.md)：可折叠控件
* [AudioPlayer](widgets/audioplayer.md)：音频播放器
* [AudioRecorder](widgets/audiorecorder.md)
* [SttClient](widgets/sttclient.md)
* [Button](widgets/button.md)
* [Conform](widgets/conform.md)
* [DataGrid](widgets/datagrid.md)
* [DataRow](widgets/datarow.md)
* [DynamicAccordion](widgets/dynamicaccordion.md)
* [DynamicColumn](widgets/dynamiccolums.md)
* [IconBar](widgets/iconbar.md)
* [IconTextBar](widgets/icontextbar.md)
* [FloatIconBar](widgets/floaticonbar.md)
* [FloatIconTextBar](widgets/floaticontextbar.wd)
* [Form](widgets/form.md)
* [Html](widgets/html.md)
* [Iframe](widgets/iframe.md)
* [Image](widgets/image.md)
* [Icon](widgets/icon.md)
* [BlankIcon](widgets/blankicon)
* [HBox](widgets/hbox.md)
* [FHBox](widgets/fhbox.md)
* [VBox](widgets/vbox.md)
* [FVBox](widgets/fvbox.md)
* [Filler](widgets/filler.md)
* [LlmDialog](widgets/llmdialog.md)
* [MarkdownViewer](widgets/markdownviewer.md)
* [MdWidget](widgets/mdwidget.md)
* [Menu](widgets/menu.md)
* [Message](widgets/menu.md)
* [Error](widgets/menu.md)
* [PopupForm](widgets/menu.md)
* [MiniForm](widgets/menu.md)
* [Modal](widgets/menu.md)
* [ModalForm](widgets/menu.md)
* [MultipleStateImage](widgets/menu.md)
* [MultipleStateIcon](widgets/menu.md)
* [Running](widgets/menu.md)
* [VScrollPanel](widgets/menu.md)
* [HScrollPanel](widgets/menu.md)
* [TabPanel](widgets/menu.md)
* [Tabular](widgets/menu.md)
* [Toolbar](widgets/menu.md)
* [Tree](widgets/menu.md)
* [EditableTree](widgets/menu.md)
* [Video](widgets/menu.md)
* [WebSocket](widgets/menu.md)
* [Tooltip](widgets/menu.md)
* [Text](widgets/menu.md)
* [Title1](widgets/menu.md)
* [Title2](widgets/menu.md)
* [Title3](widgets/menu.md)
* [Title4](widgets/menu.md)
* [Title5](widgets/menu.md)
* [Title6](widgets/menu.md)
* [Wterm](widgets/menu.md)

* [JsWidget](widgets/jswidget.md)： 祖先控件，对应于<div>元素
* [Button](widgets/button.md)：按钮控件
* [DataGrid](widgets/datagrid.md)：数据表格控件
* [Form](widgets/form.md)：输入表单控件
* [Image](widgets/image.md)：图片控件
* [Icon](widgets/icon.md)：图标控件
* [BlankIcon](widgets/blackicon.js)：空白图标控件
* [HBox](widgets/hbox.md)：横向布局器
* [VBox](widgets/vbox.md)：纵向布局器
* [HFiller](widgets/hfiller.md)：横向填充控件
* [VFiller](widgets/vfiller.md)：纵向填充控件
* [MarkdownViewer](widgets/markdonwviewer.md)：markdown文档显示控件
* [Menu](widgets/menu.md)：菜单控件
* [Message](widgets/message.md)：消息控件
* [Error](widgets/error.md)：错误信息控件
* [PopupForm](widgets/popupform.md)：弹出表单控件
* [MiniForm](widgets/meniform.md)：多选单一输入表单
* [Modal](widgets/modal.md)：独占控件
* [ModalForm](widgets/modalform.md)：独占表单
* [MultipleStateImage](widgets/multiplestateimage.md)：多状态图像显示控件
* [ScrollPanel](widgets/scrollpanel.md)：滚动面板
* [VScrollPanel](widgets/vscrollpanel.md)：纵向滚动面板
* [HScrollPanel](widgets/hscrollpanel.md)：横向滚动面板
* [TabPanel][widgets/tabpanel.md)：标签面板控件
* [Toolbar](widgets/toolbar.md)：工具条控件
* [Tree](widgets/tree.md)：树状显示控件
* [EditableTree](widgets/editabletree.md)：可编辑树状显示控件
* [VideoPlayer](widgets/videoplayer.md)：视频播放器控件
* [Text](widgets/text.md)：正文控件
* [Title1](widgets/title1.md)：标题1控件
* [Title2](widgets/title2.md)：标题2控件
* [Title3](widgets/title3.md)：标题3控件
* [Title4](widgets/title4.md)：标题4控件
* [Title5](widgets/title5.md)：标题5控件
* [Title6](widgets/title6.md)：标题6控件

# 
